/****************************************************************************
 * ERRCONST.C -- Error message data file                                    *
 *                                                                          *
 *  This file contains the string constants used in the standard system     *
 *  error handler.                                                          *
 *                                                                          *
 *  Modifications --                                                        *
 *      09-Oct-1989 : Initial version.                                      *
 ****************************************************************************/

    #define INCL_WINDIALOGS
    #include <os2.h>
    #include "errmsg.h"
    #include "errconst.h"

    #define MB_STD      (MB_OK|MB_ICONEXCLAMATION)

    ERRORMSG errorMsg[] = {
        0, MB_STD, "No error.",
        1, MB_STD, "Incorrect function.",
        2, MB_STD, "The system cannot find the file specified.",
        3, MB_STD, "The system cannot find the path specified.",
        4, MB_STD, "The system cannot open the file.",
        5, MB_STD, "The system will not allow access to the file specified.",
        6, MB_STD, "Incorrect internal file identifier.",
        7, MB_STD, "The storage control blocks were destroyed.",
        8, MB_OK|MB_ICONHAND, "Not enough memory.",
        9, MB_STD, "The memory control block address is invalid.",
        10, MB_STD, "The environment is incorrect.",
        11, MB_STD, "An attempt was made to load a program with an incorrect format.",
        12, MB_STD, "The access code is invalid.",
        13, MB_STD, "The data is invalid.",
        14, MB_STD, "Unknown unit.",
        15, MB_STD, "The system cannot find the drive specified.",
        16, MB_STD, "The directory cannot be removed.",
        17, MB_STD, "The system cannot move the file to a different disk drive.",
        18, MB_STD, "There are no more files.",
        19, MB_STD, "The diskette is write protected.",
        20, MB_STD, "The system cannot find the device specified.",
        21, MB_STD, "The drive is not ready.",
        22, MB_STD, "The device does not recognize the command.",
        23, MB_STD, "Data error (cyclic redundancy check).",
        24, MB_STD, "The program issued a command but the command length is incorrect.",
        25, MB_STD, "The drive cannot locate a specific area or track on the disk.",
        26, MB_STD, "The disk or diskette cannot be accessed because it is not properly formatted for Microsoft Operating System/2.",
        27, MB_STD, "The drive cannot find the sector requested.",
        28, MB_STD, "The printer is out of paper.",
        29, MB_STD, "The system cannot write to the specified device.",
        30, MB_STD, "The system cannot read from the specified device.",
        31, MB_STD, "A device attached to the system is not functioning.",
        32, MB_STD, "The process cannot access the file because it is being used by another process.",
        33, MB_STD, "The process cannot access the file because another process has locked a portion of the file.",
        34, MB_STD, "The wrong diskette is in the drive.",
        35, MB_STD, "Duplicate FCB found.",
        36, MB_STD, "The system has detected an overflow in the sharing buffer.",

        50, MB_STD, "The network request is not supported.",
        51, MB_STD, "The remote computer is not on line.",
        52, MB_STD, "A duplicate name is on the network.",
        53, MB_STD, "The network path was not found.",
        54, MB_STD, "The network is busy.",
        55, MB_STD, "The network device is no longer installed.",
        56, MB_STD, "The network BIOS command limit was reached.",
        57, MB_STD, "A network adapter hardware error occurred.",
        58, MB_STD, "The response from the network was incorrect.",
        59, MB_STD, "An unexpected network error occurred.",
        60, MB_STD, "The remote adapter is incompatible.",
        61, MB_STD, "Print queue full.",
        62, MB_STD, "Insufficient memory for print file.",
        63, MB_STD, "Print file canceled.",
        64, MB_STD, "The network name was deleted.",
        65, MB_STD, "Network access is denied.",
        66, MB_STD, "The network device type is incorrect.",
        67, MB_STD, "The network name cannot be found.",
        68, MB_STD, "The network name limit was exceeded.",
        69, MB_STD, "The network BIOS session limit was exceeded.",
        70, MB_STD, "The remote server is paused.",
        71, MB_STD, "The network request was not accepted.",
        72, MB_STD, "Print or disk redirection is paused.",

        80, MB_STD, "The file already exists.",
        81, MB_STD, "Duplicate FCB found.",
        82, MB_STD, "The directory or file cannot be created.",
        83, MB_STD, "Fail on INT 24.",
        84, MB_STD, "Insufficient storage is available to process the request.",
        85, MB_STD, "The network redirection already exists.",
        86, MB_STD, "The network password entered is incorrect.",
        87, MB_STD, "The parameter is incorrect.",
        88, MB_STD, "A write operation to a network file failed. Check the network error log for more information.",
        89, MB_STD, "The system cannot start another process at this time. No process slots are available.",
        90, MB_STD, "Process not frozen.",
        91, MB_STD, "Timer service table overflow.",
        92, MB_STD, "Timer service table duplicate.",
        93, MB_STD, "No items to process.",

        95, MB_STD, "System call interrupted.",

        100, MB_STD, "Too many open semaphores.",
        101, MB_STD, "Exclusive semaphore already owned.",
        102, MB_STD, "Cannot close set semaphore.",
        103, MB_STD, "Too many requests for exclusive semaphore.",
        104, MB_STD, "Operation invalid at interrupt time.",
        105, MB_STD, "Semaphore owner died holding semaphore.",
        106, MB_STD, "Limit on number of semaphore users exceeded.",
        107, MB_STD, "Diskette must be changed.",
        108, MB_STD, "The disk accessed is in use or locked by another process.",
        109, MB_STD, "Broken pipe (write on pipe with no reader)",
        110, MB_STD, "The system cannot open the device or file specified.",
        111, MB_STD, "Output buffer too small for needs of system call.",
        112, MB_STD, "There is not enough space on the disk.",
        113, MB_STD, "No more search handles are available.",
        114, MB_STD, "Could not use duplicate handle value.",
        115, MB_STD, "Protection violation.",
        116, MB_STD, "Vio/Kbd request error.",
        117, MB_STD, "Invalid IOCTL category.",
        118, MB_STD, "Invalid value for verify switch.",
        119, MB_STD, "The system does not support the command requested.",
        120, MB_STD, "The Application Program Interface (API) entered will only work in Microsoft Operating System/2 mode.",
        121, MB_STD, "Timeout while waiting for a semaphore.",
        122, MB_STD, "System call input buffer too small.",
        123, MB_STD, "A filename or volume label contains an incorrect character.",
        124, MB_STD, "Invalid request-level packet.",
        125, MB_STD, "The disk has no volume label.",
        126, MB_STD, "Module not found.",
        127, MB_STD, "Procedure not found.",
        128, MB_STD, "No child process for which to wait.",
        129, MB_STD, "No child process have died.",
        130, MB_STD, "Invalid handle for direct disk access.",
        131, MB_STD, "Attempted to seek prior to beginning of file.",
        132, MB_STD, "Cannot seek on character device.",
        133, MB_STD, "A JOIN or SUBST command cannot be used for a drive that contains previously joined drives.",
        134, MB_STD, "An attempt was made to use a JOIN or SUBST command on a drive that has already been joined.",
        135, MB_STD, "An attempt was made to use a JOIN or SUBST command on a drive that has already been substituted.",
        136, MB_STD, "The system tried to delete the JOIN of a drive that is not joined.",
        137, MB_STD, "The system tried to delete the substitution of a drive that is not substituted.",
        138, MB_STD, "The system tried to join a drive to a directory on a joined drive.",
        139, MB_STD, "The system tried to substitute a drive to a directory on a substituted drive.",
        140, MB_STD, "The system tried to join a drive to a directory on a substituted drive.",
        141, MB_STD, "The system tried to SUBST a drive to a directory on a joined drive.",
        142, MB_STD, "Drive is busy. The system cannot perform a JOIN or SUBST at this time.",
        143, MB_STD, "The system cannot join or substitute a drive to or for a directory on the same drive.",
        144, MB_STD, "The directory is not a subdirectory of the root directory.",
        145, MB_STD, "Joined directory must be empty.",
        146, MB_STD, "The path specified is already being used in a substitute.",
        147, MB_STD, "The path specified is already being used in a join.",
        148, MB_STD, "The path is being used by another process.",
        149, MB_STD, "An attempt was made to join or substitute a drive for which a directory on the drive is the target of a previous substitute.",
        150, MB_STD, "System trace error.",
        151, MB_STD, "Error in DosMuxSemWait count field.",
        152, MB_STD, "Too many DosMuxSemWait waiters.",
        153, MB_STD, "Invalid list format.",
        154, MB_STD, "Volume label is too long.",
        155, MB_STD, "Cannot create another thread control block.",
        156, MB_STD, "Signal was refused.",
        157, MB_STD, "Segment is discarded.",
        158, MB_STD, "Segment was not locked.",
        159, MB_STD, "Bad thread ID address.",
        160, MB_STD, "Bad arguments.",
        161, MB_STD, "Invalid path name.",
        162, MB_STD, "Signal already pending.",
        163, MB_STD, "Disk medium is uncertain.",
        164, MB_STD, "No more threads available.",
        165, MB_STD, "Monitors not supported.",
        166, MB_STD, "The network has not been installed.",
        167, MB_STD, "The system cannot lock the required segment in memory.",
        168, MB_STD, "The system experienced an error swapping in a segment.",
        169, MB_STD, "The system cannot swap in a segment.",
        170, MB_STD, "The segment is in use by another process.",

        180, MB_STD, "The DLL or EXE file contains a segment number that is not correct, or the file is unusable.",
        181, MB_STD, "Invalid call gate.",
        182, MB_STD, "Invalid ordinal. The program cannot run on this version of OS/2.",
        183, MB_STD, "Shared segment already exists.",
        184, MB_STD, "No child processes to wait for.",
        185, MB_STD, "Specified no wait but live child exists.",
        186, MB_STD, "Invalid flag number.",
        187, MB_STD, "System semaphore not found.",
        188, MB_STD, "The program does not have a correct END <label> directive.",
        189, MB_STD, "The program does not contain a correct stack segment.",
        190, MB_STD, "Invalid module type. A DLL file cannot be used as an application program. An application program cannot be used as a DLL.",
        191, MB_STD, "Invalid EXE signature. The specified file or program is either a DOS mode program or not compatible with OS/2.",
        192, MB_STD, "EXE marked invalid. LINK detected errors when this program was created.",
        193, MB_STD, "Invalid EXE format. The specified file or program is either a DOS mode program or not compatible with OS/2.",
        194, MB_STD, "One of the segments in the specified file contains more than 64KB of data.",
        195, MB_STD, "The minimum storage allocation size of a segment is specified to be less than the size of the data segment in the file.",
        196, MB_STD, "Routines that run in ring 2 to utilize I/O privileges cannot link to dynamic link libraries.",
        197, MB_STD, "IOPL not enabled in CONFIG.SYS",
        198, MB_STD, "A segment can only have privilege levels of 2 and 3. The segment specified has an unacceptable privilege level.",
        199, MB_STD, "The program's autodata segment exceeds 64KB.",
        200, MB_STD, "Ring 2 segment must be movable.",
        201, MB_STD, "The relocation-chain for a segment exceeds the segment limit.",
        202, MB_STD, "The system detected an infinite loop in the relocation-chain segment.",
        203, MB_STD, "Environment variable not found.",
        204, MB_STD, "Not current country.",
        205, MB_STD, "No signal was sent.",
        206, MB_STD, "The filename or extension is too long.",
        207, MB_STD, "The ring 2 stack is in use.",
        208, MB_STD, "The global filename characters, * or ? are entered incorrectly or too many global filename characters are specified.",
        209, MB_STD, "Invalid signal number.",
        210, MB_STD, "Thread 1 is inactive.",
        211, MB_STD, "File system information not available at this time.",
        212, MB_STD, "Locked.",
        213, MB_STD, "Bad dynamic-link module.",
        214, MB_STD, "Too many modules.",
        215, MB_STD, "Nesting not allowed.",
        216, MB_STD, "Cannot shrink ring 2 stack.",

        230, MB_STD, "The system detected an invalid pipe operation.",
        231, MB_STD, "The pipe is in use by another process.",
        232, MB_STD, "There is no data to be read.",
        233, MB_STD, "The specified pipe was disconnected at its other end.",
        234, MB_STD, "More data is available.",

        240, MB_STD, "Transmission errors caused the connection to the remote machine to be disconnected.",

        262, MB_STD, "Stack too large.",

        303, MB_STD, "Invalid process ID.",
        304, MB_STD, "Invalid change in priority level.",
        305, MB_STD, "Target process not a descendant.",
        306, MB_STD, "Caller not the session manager.",
        307, MB_STD, "Invalid priority class.",
        308, MB_STD, "Invalid scope.",
        309, MB_STD, "Invalid thread ID.",
        310, MB_STD, "Cannot shrink suballocated segment.",
        311, MB_STD, "Out of memory in suballocated segment.",
        312, MB_STD, "Invalid element overlap in DosSubFree.",
        313, MB_STD, "Invalid element size parameter.",
        314, MB_STD, "Invalid flag parameter.",
        315, MB_STD, "Invalid segment selector.",
        316, MB_STD, "Message too long for buffer.",
        317, MB_STD, "The message is not in the message file.",
        318, MB_STD, "Unable to access message file.",
        319, MB_STD, "Invalid message file format.",
        320, MB_STD, "Invalid insertion variable count.",
        321, MB_STD, "Unable to perform function.",
        322, MB_STD, "Unable to wakeup.",
        323, MB_STD, "Invalid system semaphore handle.",
        324, MB_STD, "No timers available.",

        326, MB_STD, "Invalid timer handle.",
        327, MB_STD, "Invalid date or time.",
        328, MB_STD, "Internal system error.",
        329, MB_STD, "Current queue name does not exist.",
        330, MB_STD, "Queue not owned by calling process.",
        331, MB_STD, "Current process owns queue.",
        332, MB_STD, "Queue name already exists.",
        333, MB_STD, "Queue element does not exist.",
        334, MB_STD, "Insufficient queue memory.",
        335, MB_STD, "Invalid queue name.",
        336, MB_STD, "Invalid queue element priority value.",
        337, MB_STD, "Invalid queue handle.",
        338, MB_STD, "Queue link not found.",
        339, MB_STD, "Queue memory error.",
        340, MB_STD, "Previous element was at end of queue.",
        341, MB_STD, "Caller does not have access to the queue.",
        342, MB_STD, "Queue is empty.",
        343, MB_STD, "Queue name does not exist.",
        344, MB_STD, "Queue is not initialized.",
        345, MB_STD, "Unable to access queue.",
        346, MB_STD, "Unable to add new queue.",
        347, MB_STD, "Unable to initialize queue.",
        349, MB_STD, "Invalid VIO function mask.",
        350, MB_STD, "Invalid pointer to parameter in VIO function.",
        351, MB_STD, "Invalid pointer to attribute in VIO function.",
        352, MB_STD, "Invalid pointer to row in VIO function.",
        353, MB_STD, "Invalid pointer to column in VIO function.",
        354, MB_STD, "Invalid pointer to length in VIO function.",
        355, MB_STD, "Unsupported display mode.",
        356, MB_STD, "Invalid cursor width value.",
        357, MB_STD, "Invalid cursor attribute.",
        358, MB_STD, "Invalid row.",
        359, MB_STD, "Invalid column.",
        360, MB_STD, "Invalid value for top row.",
        361, MB_STD, "Invalid value for bottom row.",
        362, MB_STD, "Invalid value for right column.",
        363, MB_STD, "Invalid value for left column.",
        364, MB_STD, "ERROR_SCS_CALL",
        365, MB_STD, "ERROR_SCS_VALUE",
        366, MB_STD, "Invalid wait flag setting.",
        367, MB_STD, "Screen not previously locked.",
        368, MB_STD, "ERROR_SGS_NOT_SESSION_MGR",
        369, MB_STD, "Invalid screen group or session ID.",
        370, MB_STD, "No sessions available or screen group not found.",
        371, MB_STD, "Screen group or session not found.",
        372, MB_STD, "Title cannot be changed.",
        373, MB_STD, "Invalid parameter to KBD call.",
        374, MB_STD, "No device.",
        375, MB_STD, "Invalid I/O wait flag value.",
        376, MB_STD, "Invalid length for keyboard.",
        377, MB_STD, "Invalid echo mode mask.",
        378, MB_STD, "Invalid input mode mask.",
        379, MB_STD, "Invalid parameters to monitor call.",
        380, MB_STD, "Invalid device name.",
        381, MB_STD, "Invalid device handle.",
        382, MB_STD, "Buffer is too small.",
        383, MB_STD, "Buffer is empty.",
        384, MB_STD, "Data record too large.",
        385, MB_STD, "No mouse installed.",
        386, MB_STD, "Mouse device closed; handle invalid.",
        387, MB_STD, "Invalid parameters to MOU call.",
        388, MB_STD, "Cannot reset mouse.",
        389, MB_STD, "Invalid parameters for current display mode.",
        390, MB_STD, "Invalid module.",
        391, MB_STD, "Entry point not valid.",
        392, MB_STD, "Invalid function mask.",
        393, MB_STD, "No mouse data.",
        394, MB_STD, "OK, mouse pointer drawn.",
        395, MB_STD, "Invalid beep frequency.",
        396, MB_STD, "The system cannot find COUNTRY.SYS.",
        397, MB_STD, "The file COUNTRY.SYS exists but is in use by another process.",
        398, MB_STD, "Country code or code page not found.",
        399, MB_STD, "Buffer too small to hold NLS table so table was truncated.",
        400, MB_STD, "NLS invalid type.",
        401, MB_STD, "Information for a specific country was requested, but was not found in the file COUNTRY.SYS.",
        402, MB_STD, "Only session manager may call function.",
        403, MB_STD, "Invalid ASCIIZ string.",
        404, MB_STD, "No display subsystem previously registered within current screen group.",
        405, MB_STD, "Pop-up not performed.",
        406, MB_STD, "Pop-up already on screen.",
        407, MB_STD, "Only session manager may call function.",
        408, MB_STD, "Invalid ASCIIZ string.",
        409, MB_STD, "Invalid replacement mask.",
        410, MB_STD, "KbdRegister not allowed.",
        411, MB_STD, "No keyboard subsystem previously registered within current screen group.",
        412, MB_STD, "Only session manager may call function.",
        413, MB_STD, "Invalid ASCIIZ string.",
        414, MB_STD, "Invalid replacment mask.",
        415, MB_STD, "MouRegister not allowed.",
        416, MB_STD, "No mouse subsystem previously registered within current screen group.",
        417, MB_STD, "Invalid action.",
        418, MB_STD, "INIT called more than once.",
        419, MB_STD, "Screen group not found.",
        420, MB_STD, "Caller is not shell.",
        421, MB_STD, "Invalid parameters.",
        422, MB_STD, "Save/restore function already owned.",
        423, MB_STD, "Thread unblock by VioModeUndo or VioSavRedrawUndo.",
        424, MB_STD, "Invalid function.",
        425, MB_STD, "Function for Task Manager only.",
        426, MB_STD, "VioRegister not allowed.",
        427, MB_STD, "No VioModeWait thread exists.",
        428, MB_STD, "No VioSavRedrawWait thread exists.",
        429, MB_STD, "Invalid in background.",
        430, MB_STD, "Illegal during popup.",
        431, MB_STD, "Caller not baseshell.",
        432, MB_STD, "Invalid status request.",
        433, MB_STD, "Invalid wait parameter.",
        434, MB_STD, "Cannot lock screen.",
        435, MB_STD, "Invalid wait parameter.",
        436, MB_STD, "Invalid handle.",
        437, MB_STD, "Illegal during lock.",
        438, MB_STD, "Invalid length.",
        439, MB_STD, "Invalid Kbd handle.",
        440, MB_STD, "No more Kbd handles.",
        441, MB_STD, "Cannot create logical keyboard.",
        442, MB_STD, "Code page load incomplete.",
        443, MB_STD, "Invalid codepage ID.",
        444, MB_STD, "No codepage support.",
        445, MB_STD, "Kbd focus required.",
        446, MB_STD, "Kbd focus already active.",
        447, MB_STD, "Keyboard subsystem busy.",
        448, MB_STD, "Invalid codepage.",
        449, MB_STD, "Cannot get Kbd focus.",
        450, MB_STD, "Session is not selectable.",
        451, MB_STD, "Session not in foreground.",
        452, MB_STD, "Session not parent of specified child.",
        453, MB_STD, "Invalid session start mode.",
        454, MB_STD, "Invalid session start option.",
        455, MB_STD, "Invalid session bonding option.",
        456, MB_STD, "Invalid session select option.",
        457, MB_STD, "Session started in background.",
        458, MB_STD, "Invalid session stop option.",
        459, MB_STD, "Reserved parameters not zero.",
        460, MB_STD, "Process not parent.",
        461, MB_STD, "Invalid data length.",
        462, MB_STD, "Parent session not bound.",
        463, MB_STD, "Retry request block allocation.",
        464, MB_STD, "Kbd unavailable for detached process.",
        465, MB_STD, "Vio unavailable for detached process.",
        466, MB_STD, "Mouse unavailable for detached process.",
        467, MB_STD, "No font available to support mode.",
        468, MB_STD, "User font active.",
        469, MB_STD, "Invalid codepage.",
        470, MB_STD, "System displays do not support codepage.",
        471, MB_STD, "Current display does not support codepage.",
        472, MB_STD, "Invalid code page.",
        473, MB_STD, "Codepage list is too small.",
        474, MB_STD, "Codepage not moved.",
        475, MB_STD, "Mode switch initialization error.",
        476, MB_STD, "Code page not found.",
        477, MB_STD, "Unexpected slot returned.",
        478, MB_STD, "Invalid trace option.",
        479, MB_STD, "Internal resource error.",
        480, MB_STD, "Shell initialization error.",
        481, MB_STD, "No Task Manager hard errors.",
        482, MB_STD, "Codepage switch incomplete.",
        483, MB_STD, "Error during transparent pop-up.",
        484, MB_STD, "Critical section overflow.",
        485, MB_STD, "Critical section underflow.",
        486, MB_STD, "Reserved parameter is not zero.",
        487, MB_STD, "Invalid address.",
        488, MB_STD, "Zero selectors requested.",
        489, MB_STD, "Not enough selectors available.",
        490, MB_STD, "Invalid selector.",
        491, MB_STD, "Invalid program type.",
        492, MB_STD, "Invalid program control.",
        493, MB_STD, "Invalid program inheritance option.",
        494, MB_STD, "Function not allowed in PM window.",
        495, MB_STD, "Function not allowed in non-PM screen group.",
        496, MB_STD, "Shield alreay owned.",
        497, MB_STD, "No more Vio handles.",
        498, MB_STD, "Vio error occurred, see error log.",
        499, MB_STD, "Invalid display context.",
        500, MB_STD, "No console.",
        501, MB_STD, "No console.",
        502, MB_STD, "Invalid Mouse handle.",
        503, MB_STD, "Invalid debugging parms.",
        504, MB_STD, "Function not allowed in PM window.",
        505, MB_STD, "Function not allowed in non-PM screen group.",
        506, MB_STD, "Invalid icon file.",

        0x1001, MB_STD, "PMERR_INVALID_HWND",
        0x1002, MB_STD, "PMERR_INVALID_HMQ",
        0x1003, MB_STD, "PMERR_PARAMETER_OUT_OF_RANGE",
        0x1004, MB_STD, "PMERR_WINDOW_LOCK_UNDERFLOW",
        0x1005, MB_STD, "PMERR_WINDOW_LOCK_OVERFLOW",
        0x1006, MB_STD, "PMERR_BAD_WINDOW_LOCK_COUNT",
        0x1007, MB_STD, "PMERR_WINDOW_NOT_LOCKED",
        0x1008, MB_STD, "PMERR_INVALID_SELECTOR",
        0x1009, MB_STD, "PMERR_CALL_FROM_WRONG_THREAD",
        0x100A, MB_STD, "PMERR_RESOURCE_NOT_FOUND",
        0x100B, MB_STD, "PMERR_INVALID_STRING_PARM",
        0x100C, MB_STD, "PMERR_INVALID_HHEAP",
        0x100D, MB_STD, "PMERR_INVALID_HEAP_POINTER",
        0x100E, MB_STD, "PMERR_INVALID_HEAP_SIZE_PARM",
        0x100F, MB_STD, "PMERR_INVALID_HEAP_SIZE",
        0x1010, MB_STD, "PMERR_INVALID_HEAP_SIZE_WORD",
        0x1011, MB_STD, "PMERR_HEAP_OUT_OF_MEMORY",
        0x1012, MB_STD, "PMERR_HEAP_MAX_SIZE_REACHED",
        0x1013, MB_STD, "PMERR_INVALID_HATOMTBL",
        0x1014, MB_STD, "PMERR_INVALID_ATOM",
        0x1015, MB_STD, "PMERR_INVALID_ATOM_NAME",
        0x1016, MB_STD, "PMERR_INVALID_INTEGER_ATOM",
        0x1017, MB_STD, "PMERR_ATOM_NAME_NOT_FOUND",
        0x1018, MB_STD, "PMERR_QUEUE_TOO_LARGE",
        0x1019, MB_STD, "PMERR_INVALID_FLAG",
        0x101A, MB_STD, "PMERR_INVALID_HACCEL",
        0x101B, MB_STD, "PMERR_INVALID_HPTR",
        0x101C, MB_STD, "PMERR_INVALID_HENUM",
        0x101D, MB_STD, "PMERR_INVALID_SRC_CODEPAGE",
        0x101E, MB_STD, "PMERR_INVALID_DST_CODEPAGE",
        0x101f, MB_STD, "PMERR_UNKNOWN_COMPONENT_ID",
        0x1020, MB_STD, "PMERR_UNKNOWN_ERROR_CODE",
        0x1021, MB_STD, "PMERR_SEVERITY_LEVELS",
        0x1034, MB_STD, "PMERR_INVALID_RESOURCE_FORMAT",
        0x1036, MB_STD, "PMERR_NO_MSG_QUEUE",
        0x1037, MB_STD, "PMERR_WIN_DEBUGMSG",
        0x1038, MB_STD, "PMERR_QUEUE_FULL",
        0x1101, MB_STD, "PMERR_INVALID_PIB",
        0x1102, MB_STD, "PMERR_INSUFF_SPACE_TO_ADD",
        0x1103, MB_STD, "PMERR_INVALID_GROUP_HANDLE",
        0x1104, MB_STD, "PMERR_DUPLICATE_TITLE",
        0x1105, MB_STD, "PMERR_INVALID_TITLE",
        0x1106, MB_STD, "PMERR_INVALID_TARGET_HANDLE",
        0x1107, MB_STD, "PMERR_HANDLE_NOT_IN_GROUP",
        0x1108, MB_STD, "PMERR_INVALID_PATH_STATEMENT",
        0x1109, MB_STD, "PMERR_NO_PROGRAM_FOUND",
        0x110A, MB_STD, "PMERR_INVALID_BUFFER_SIZE",
        0x110B, MB_STD, "PMERR_BUFFER_TOO_SMALL",
        0x110C, MB_STD, "PMERR_PL_INITIALISATION_FAIL",
        0x110D, MB_STD, "PMERR_CANT_DESTROY_SYS_GROUP",
        0x110E, MB_STD, "PMERR_INVALID_TYPE_CHANGE",
        0x110F, MB_STD, "PMERR_INVALID_PROGRAM_HANDLE",
        0x1110, MB_STD, "PMERR_NOT_CURRENT_PL_VERSION",
        0x1111, MB_STD, "PMERR_INVALID_CIRCULAR_REF",
        0x1112, MB_STD, "PMERR_MEMORY_ALLOCATION_ERR",
        0x1113, MB_STD, "PMERR_MEMORY_DEALLOCATION_ERR",
        0x1114, MB_STD, "PMERR_TASK_HEADER_TOO_BIG",
        0x1200, MB_STD, "PMERR_DOS_ERROR",
        0x1201, MB_STD, "PMERR_NO_SPACE",
        0x1202, MB_STD, "PMERR_INVALID_SWITCH_HANDLE",
        0x1203, MB_STD, "PMERR_NO_HANDLE",
        0x1204, MB_STD, "PMERR_INVALID_PROCESS_ID",
        0x1205, MB_STD, "PMERR_NOT_SHELL",
        0x1206, MB_STD, "PMERR_INVALID_WINDOW",
        0x1207, MB_STD, "PMERR_INVALID_POST_MSG",
        0x1208, MB_STD, "PMERR_INVALID_PARAMETERS",
        0x1209, MB_STD, "PMERR_INVALID_PROGRAM_TYPE",
        0x120A, MB_STD, "PMERR_NOT_EXTENDED_FOCUS",
        0x120B, MB_STD, "PMERR_INVALID_SESSION_ID",
        0x120C, MB_STD, "PMERR_SMG_INVALID_ICON_FILE",
        0x120D, MB_STD, "PMERR_SMG_ICON_NOT_CREATED",
        0x120E, MB_STD, "PMERR_SHL_DEBUG",
        0x1301, MB_STD, "PMERR_OPENING_INI_FILE",
        0x1302, MB_STD, "PMERR_INI_FILE_CORRUPT",
        0x1303, MB_STD, "PMERR_INVALID_PARM",
        0x1304, MB_STD, "PMERR_NOT_IN_IDX",
        0x1306, MB_STD, "PMERR_INI_WRITE_FAIL",
        0x1307, MB_STD, "PMERR_IDX_FULL",
        0x1308, MB_STD, "PMERR_INI_PROTECTED",
        0x1309, MB_STD, "PMERR_MEMORY_ALLOC",
        0x130A, MB_STD, "PMERR_INI_INIT_ALREADY_DONE",
        0x130B, MB_STD, "PMERR_INVALID_INTEGER",
        0x130C, MB_STD, "PMERR_INVALID_ASCIIZ",
        0x130D, MB_STD, "PMERR_CAN_NOT_CALL_SPOOLER",
        0x1401, MB_STD, "PMERR_WARNING_WINDOW_NOT_KILLED",
        0x1402, MB_STD, "PMERR_ERROR_INVALID_WINDOW",
        0x1403, MB_STD, "PMERR_ALREADY_INITIALIZED",
        0x1405, MB_STD, "PMERR_MSG_PROG_NO_MOU",
        0x1406, MB_STD, "PMERR_MSG_PROG_NON_RECOV",
        0x1407, MB_STD, "PMERR_WINCONV_INVALID_PATH",
        0x1408, MB_STD, "PMERR_PI_NOT_INITIALISED",
        0x1409, MB_STD, "PMERR_PL_NOT_INITIALISED",
        0x140A, MB_STD, "PMERR_NO_TASK_MANAGER",
        0x140B, MB_STD, "PMERR_SAVE_NOT_IN_PROGRESS",
        0x140C, MB_STD, "PMERR_NO_STACK_SPACE",
        0x140d, MB_STD, "PMERR_INVALID_COLR_FIELD",
        0x140e, MB_STD, "PMERR_INVALID_COLR_VALUE",
        0x140f, MB_STD, "PMERR_COLR_WRITE",
        0x1501, MB_STD, "PMERR_TARGET_FILE_EXISTS",
        0x1502, MB_STD, "PMERR_SOURCE_SAME_AS_TARGET",
        0x1503, MB_STD, "PMERR_SOURCE_FILE_NOT_FOUND",
        0x1504, MB_STD, "PMERR_INVALID_NEW_PATH",
        0x1505, MB_STD, "PMERR_TARGET_FILE_NOT_FOUND",
        0x1506, MB_STD, "PMERR_INVALID_DRIVE_NUMBER",
        0x1507, MB_STD, "PMERR_NAME_TOO_LONG",
        0x1508, MB_STD, "PMERR_NOT_ENOUGH_ROOM_ON_DISK",
        0x1509, MB_STD, "PMERR_NOT_ENOUGH_MEM",
        0x150B, MB_STD, "PMERR_LOG_DRV_DOES_NOT_EXIST",
        0x150C, MB_STD, "PMERR_INVALID_DRIVE",
        0x150D, MB_STD, "PMERR_ACCESS_DENIED",
        0x150E, MB_STD, "PMERR_NO_FIRST_SLASH",
        0x150F, MB_STD, "PMERR_READ_ONLY_FILE",

        0x2001, MB_STD, "PMERR_ALREADY_IN_AREA",
        0x2002, MB_STD, "PMERR_ALREADY_IN_ELEMENT",
        0x2003, MB_STD, "PMERR_ALREADY_IN_PATH",
        0x2004, MB_STD, "PMERR_ALREADY_IN_SEG",
        0x2005, MB_STD, "PMERR_AREA_INCOMPLETE",
        0x2006, MB_STD, "PMERR_BASE_ERROR",
        0x2007, MB_STD, "PMERR_BITBLT_LENGTH_EXCEEDED",
        0x2008, MB_STD, "PMERR_BITMAP_IN_USE",
        0x2009, MB_STD, "PMERR_BITMAP_IS_SELECTED",
        0x200A, MB_STD, "PMERR_BITMAP_NOT_FOUND",
        0x200B, MB_STD, "PMERR_BITMAP_NOT_SELECTED",
        0x200C, MB_STD, "PMERR_BOUNDS_OVERFLOW",
        0x200D, MB_STD, "PMERR_CALLED_SEG_IS_CHAINED",
        0x200E, MB_STD, "PMERR_CALLED_SEG_IS_CURRENT",
        0x200F, MB_STD, "PMERR_CALLED_SEG_NOT_FOUND",
        0x2010, MB_STD, "PMERR_CANNOT_DELETE_ALL_DATA",
        0x2011, MB_STD, "PMERR_CANNOT_REPLACE_ELEMENT_0",
        0x2012, MB_STD, "PMERR_COL_TABLE_NOT_REALIZABLE",
        0x2013, MB_STD, "PMERR_COL_TABLE_NOT_REALIZED",
        0x2014, MB_STD, "PMERR_COORDINATE_OVERFLOW",
        0x2015, MB_STD, "PMERR_CORR_FORMAT_MISMATCH",
        0x2016, MB_STD, "PMERR_DATA_TOO_LONG",
        0x2017, MB_STD, "PMERR_DC_IS_ASSOCIATED",
        0x2018, MB_STD, "PMERR_DESC_STRING_TRUNCATED",
        0x2019, MB_STD, "PMERR_DEVICE_DRIVER_ERROR_1",
        0x201A, MB_STD, "PMERR_DEVICE_DRIVER_ERROR_2",
        0x201B, MB_STD, "PMERR_DEVICE_DRIVER_ERROR_3",
        0x201C, MB_STD, "PMERR_DEVICE_DRIVER_ERROR_4",
        0x201D, MB_STD, "PMERR_DEVICE_DRIVER_ERROR_5",
        0x201E, MB_STD, "PMERR_DEVICE_DRIVER_ERROR_6",
        0x201F, MB_STD, "PMERR_DEVICE_DRIVER_ERROR_7",
        0x2020, MB_STD, "PMERR_DEVICE_DRIVER_ERROR_8",
        0x2021, MB_STD, "PMERR_DEVICE_DRIVER_ERROR_9",
        0x2022, MB_STD, "PMERR_DEVICE_DRIVER_ERROR_10",
        0x2023, MB_STD, "PMERR_DEV_FUNC_NOT_INSTALLED",
        0x2024, MB_STD, "PMERR_DOSOPEN_FAILURE",
        0x2025, MB_STD, "PMERR_DOSREAD_FAILURE",
        0x2026, MB_STD, "PMERR_DRIVER_NOT_FOUND",
        0x2027, MB_STD, "PMERR_DUP_SEG",
        0x2028, MB_STD, "PMERR_DYNAMIC_SEG_SEQ_ERROR",
        0x2029, MB_STD, "PMERR_DYNAMIC_SEG_ZERO_INV",
        0x202A, MB_STD, "PMERR_ELEMENT_INCOMPLETE",
        0x202B, MB_STD, "PMERR_ESC_CODE_NOT_SUPPORTED",
        0x202C, MB_STD, "PMERR_EXCEEDS_MAX_SEG_LENGTH",
        0x202D, MB_STD, "PMERR_FONT_AND_MODE_MISMATCH",
        0x202E, MB_STD, "PMERR_FONT_FILE_NOT_LOADED",
        0x202F, MB_STD, "PMERR_FONT_NOT_LOADED",
        0x2030, MB_STD, "PMERR_FONT_TOO_BIG",
        0x2031, MB_STD, "PMERR_HARDWARE_INIT_FAILURE",
        0x2032, MB_STD, "PMERR_HBITMAP_BUSY",
        0x2033, MB_STD, "PMERR_HDC_BUSY",
        0x2034, MB_STD, "PMERR_HRGN_BUSY",
        0x2035, MB_STD, "PMERR_HUGE_FONTS_NOT_SUPPORTED",
        0x2036, MB_STD, "PMERR_ID_HAS_NO_BITMAP",
        0x2037, MB_STD, "PMERR_IMAGE_INCOMPLETE",
        0x2038, MB_STD, "PMERR_INCOMPAT_COLOR_FORMAT",
        0x2039, MB_STD, "PMERR_INCOMPAT_COLOR_OPTIONS",
        0x203A, MB_STD, "PMERR_INCOMPATIBLE_BITMAP",
        0x203B, MB_STD, "PMERR_INCOMPATIBLE_METAFILE",
        0x203C, MB_STD, "PMERR_INCORRECT_DC_TYPE",
        0x203D, MB_STD, "PMERR_INSUFFICIENT_DISK_SPACE",
        0x203E, MB_STD, "PMERR_INSUFFICIENT_MEMORY",
        0x203F, MB_STD, "PMERR_INV_ANGLE_PARM",
        0x2040, MB_STD, "PMERR_INV_ARC_CONTROL",
        0x2041, MB_STD, "PMERR_INV_AREA_CONTROL",
        0x2042, MB_STD, "PMERR_INV_ARC_POINTS",
        0x2043, MB_STD, "PMERR_INV_ATTR_MODE",
        0x2044, MB_STD, "PMERR_INV_BACKGROUND_COL_ATTR",
        0x2045, MB_STD, "PMERR_INV_BACKGROUND_MIX_ATTR",
        0x2046, MB_STD, "PMERR_INV_BITBLT_MIX",
        0x2047, MB_STD, "PMERR_INV_BITBLT_STYLE",
        0x2048, MB_STD, "PMERR_INV_BITMAP_DIMENSION",
        0x2049, MB_STD, "PMERR_INV_BOX_CONTROL",
        0x204A, MB_STD, "PMERR_INV_BOX_ROUNDING_PARM",
        0x204B, MB_STD, "PMERR_INV_CHAR_ANGLE_ATTR",
        0x204C, MB_STD, "PMERR_INV_CHAR_DIRECTION_ATTR",
        0x204D, MB_STD, "PMERR_INV_CHAR_MODE_ATTR",
        0x204E, MB_STD, "PMERR_INV_CHAR_POS_OPTIONS",
        0x204F, MB_STD, "PMERR_INV_CHAR_SET_ATTR",
        0x2050, MB_STD, "PMERR_INV_CHAR_SHEAR_ATTR",
        0x2051, MB_STD, "PMERR_INV_CLIP_PATH_OPTIONS",
        0x2052, MB_STD, "PMERR_INV_CODEPAGE",
        0x2053, MB_STD, "PMERR_INV_COLOR_ATTR",
        0x2054, MB_STD, "PMERR_INV_COLOR_DATA",
        0x2055, MB_STD, "PMERR_INV_COLOR_FORMAT",
        0x2056, MB_STD, "PMERR_INV_COLOR_INDEX",
        0x2057, MB_STD, "PMERR_INV_COLOR_OPTIONS",
        0x2058, MB_STD, "PMERR_INV_COLOR_START_INDEX",
        0x2059, MB_STD, "PMERR_INV_COORD_OFFSET",
        0x205A, MB_STD, "PMERR_INV_COORD_SPACE",
        0x205B, MB_STD, "PMERR_INV_COORDINATE",
        0x205C, MB_STD, "PMERR_INV_CORRELATE_DEPTH",
        0x205D, MB_STD, "PMERR_INV_CORRELATE_TYPE",
        0x205E, MB_STD, "PMERR_INV_CURSOR_BITMAP",
        0x205F, MB_STD, "PMERR_INV_DC_DATA",
        0x2060, MB_STD, "PMERR_INV_DC_TYPE",
        0x2061, MB_STD, "PMERR_INV_DEVICE_NAME",
        0x2062, MB_STD, "PMERR_INV_DEV_MODES_OPTIONS",
        0x2063, MB_STD, "PMERR_INV_DRAW_CONTROL",
        0x2064, MB_STD, "PMERR_INV_DRAW_VALUE",
        0x2065, MB_STD, "PMERR_INV_DRAWING_MODE",
        0x2066, MB_STD, "PMERR_INV_DRIVER_DATA",
        0x2067, MB_STD, "PMERR_INV_DRIVER_NAME",
        0x2068, MB_STD, "PMERR_INV_DRAW_BORDER_OPTION",
        0x2069, MB_STD, "PMERR_INV_EDIT_MODE",
        0x206A, MB_STD, "PMERR_INV_ELEMENT_OFFSET",
        0x206B, MB_STD, "PMERR_INV_ELEMENT_POINTER",
        0x206C, MB_STD, "PMERR_INV_END_PATH_OPTIONS",
        0x206D, MB_STD, "PMERR_INV_ESC_CODE",
        0x206E, MB_STD, "PMERR_INV_ESCAPE_DATA",
        0x206F, MB_STD, "PMERR_INV_EXTENDED_LCID",
        0x2070, MB_STD, "PMERR_INV_FILL_PATH_OPTIONS",
        0x2071, MB_STD, "PMERR_INV_FIRST_CHAR",
        0x2072, MB_STD, "PMERR_INV_FONT_ATTRS",
        0x2073, MB_STD, "PMERR_INV_FONT_FILE_DATA",
        0x2074, MB_STD, "PMERR_INV_FOR_THIS_DC_TYPE",
        0x2075, MB_STD, "PMERR_INV_FORMAT_CONTROL",
        0x2076, MB_STD, "PMERR_INV_FORMS_CODE",
        0x2077, MB_STD, "PMERR_INV_FONTDEF",
        0x2078, MB_STD, "PMERR_INV_GEOM_LINE_WIDTH_ATTR",
        0x2079, MB_STD, "PMERR_INV_GETDATA_CONTROL",
        0x207A, MB_STD, "PMERR_INV_GRAPHICS_FIELD",
        0x207B, MB_STD, "PMERR_INV_HBITMAP",
        0x207C, MB_STD, "PMERR_INV_HDC",
        0x207D, MB_STD, "PMERR_INV_HJOURNAL",
        0x207E, MB_STD, "PMERR_INV_HMF",
        0x207F, MB_STD, "PMERR_INV_HPS",
        0x2080, MB_STD, "PMERR_INV_HRGN",
        0x2081, MB_STD, "PMERR_INV_ID",
        0x2082, MB_STD, "PMERR_INV_IMAGE_DATA_LENGTH",
        0x2083, MB_STD, "PMERR_INV_IMAGE_DIMENSION",
        0x2084, MB_STD, "PMERR_INV_IMAGE_FORMAT",
        0x2085, MB_STD, "PMERR_INV_IN_AREA",
        0x2086, MB_STD, "PMERR_INV_IN_CALLED_SEG",
        0x2087, MB_STD, "PMERR_INV_IN_CURRENT_EDIT_MODE",
        0x2088, MB_STD, "PMERR_INV_IN_DRAW_MODE",
        0x2089, MB_STD, "PMERR_INV_IN_ELEMENT",
        0x208A, MB_STD, "PMERR_INV_IN_IMAGE",
        0x208B, MB_STD, "PMERR_INV_IN_PATH",
        0x208C, MB_STD, "PMERR_INV_IN_RETAIN_MODE",
        0x208D, MB_STD, "PMERR_INV_IN_SEG",
        0x208E, MB_STD, "PMERR_INV_IN_VECTOR_SYMBOL",
        0x208F, MB_STD, "PMERR_INV_INFO_TABLE",
        0x2090, MB_STD, "PMERR_INV_JOURNAL_OPTION",
        0x2091, MB_STD, "PMERR_INV_KERNING_FLAGS",
        0x2092, MB_STD, "PMERR_INV_LENGTH_OR_COUNT",
        0x2093, MB_STD, "PMERR_INV_LINE_END_ATTR",
        0x2094, MB_STD, "PMERR_INV_LINE_JOIN_ATTR",
        0x2095, MB_STD, "PMERR_INV_LINE_TYPE_ATTR",
        0x2096, MB_STD, "PMERR_INV_LINE_WIDTH_ATTR",
        0x2097, MB_STD, "PMERR_INV_LOGICAL_ADDRESS",
        0x2098, MB_STD, "PMERR_INV_MARKER_BOX_ATTR",
        0x2099, MB_STD, "PMERR_INV_MARKER_SET_ATTR",
        0x209A, MB_STD, "PMERR_INV_MARKER_SYMBOL_ATTR",
        0x209B, MB_STD, "PMERR_INV_MATRIX_ELEMENT",
        0x209C, MB_STD, "PMERR_INV_MAX_HITS",
        0x209D, MB_STD, "PMERR_INV_METAFILE",
        0x209E, MB_STD, "PMERR_INV_METAFILE_LENGTH",
        0x209F, MB_STD, "PMERR_INV_METAFILE_OFFSET",
        0x20A0, MB_STD, "PMERR_INV_MICROPS_DRAW_CONTROL",
        0x20A1, MB_STD, "PMERR_INV_MICROPS_FUNCTION",
        0x20A2, MB_STD, "PMERR_INV_MICROPS_ORDER",
        0x20A3, MB_STD, "PMERR_INV_MIX_ATTR",
        0x20A4, MB_STD, "PMERR_INV_MODE_FOR_OPEN_DYN",
        0x20A5, MB_STD, "PMERR_INV_MODE_FOR_REOPEN_SEG",
        0x20A6, MB_STD, "PMERR_INV_MODIFY_PATH_MODE",
        0x20A7, MB_STD, "PMERR_INV_MULTIPLIER",
        0x20A8, MB_STD, "PMERR_INV_NESTED_FIGURES",
        0x20A9, MB_STD, "PMERR_INV_OR_INCOMPAT_OPTIONS",
        0x20AA, MB_STD, "PMERR_INV_ORDER_LENGTH",
        0x20AB, MB_STD, "PMERR_INV_ORDERING_PARM",
        0x20AC, MB_STD, "PMERR_INV_OUTSIDE_DRAW_MODE",
        0x20AD, MB_STD, "PMERR_INV_PAGE_VIEWPORT",
        0x20AE, MB_STD, "PMERR_INV_PATH_ID",
        0x20AF, MB_STD, "PMERR_INV_PATH_MODE",
        0x20B0, MB_STD, "PMERR_INV_PATTERN_ATTR",
        0x20B1, MB_STD, "PMERR_INV_PATTERN_REF_PT_ATTR",
        0x20B2, MB_STD, "PMERR_INV_PATTERN_SET_ATTR",
        0x20B3, MB_STD, "PMERR_INV_PATTERN_SET_FONT",
        0x20B4, MB_STD, "PMERR_INV_PICK_APERTURE_OPTION",
        0x20B5, MB_STD, "PMERR_INV_PICK_APERTURE_POSN",
        0x20B6, MB_STD, "PMERR_INV_PICK_APERTURE_SIZE",
        0x20B7, MB_STD, "PMERR_INV_PICK_NUMBER",
        0x20B8, MB_STD, "PMERR_INV_PLAY_METAFILE_OPTION",
        0x20B9, MB_STD, "PMERR_INV_PRIMITIVE_TYPE",
        0x20BA, MB_STD, "PMERR_INV_PS_SIZE",
        0x20BB, MB_STD, "PMERR_INV_PUTDATA_FORMAT",
        0x20BC, MB_STD, "PMERR_INV_QUERY_ELEMENT_NO",
        0x20BD, MB_STD, "PMERR_INV_RECT",
        0x20BE, MB_STD, "PMERR_INV_REGION_CONTROL",
        0x20BF, MB_STD, "PMERR_INV_REGION_MIX_MODE",
        0x20C0, MB_STD, "PMERR_INV_REPLACE_MODE_FUNC",
        0x20C1, MB_STD, "PMERR_INV_RESERVED_FIELD",
        0x20C2, MB_STD, "PMERR_INV_RESET_OPTIONS",
        0x20C3, MB_STD, "PMERR_INV_RGBCOLOR",
        0x20C4, MB_STD, "PMERR_INV_SCAN_START",
        0x20C5, MB_STD, "PMERR_INV_SEG_ATTR",
        0x20C6, MB_STD, "PMERR_INV_SEG_ATTR_VALUE",
        0x20C7, MB_STD, "PMERR_INV_SEG_CH_LENGTH",
        0x20C8, MB_STD, "PMERR_INV_SEG_NAME",
        0x20C9, MB_STD, "PMERR_INV_SEG_OFFSET",
        0x20CA, MB_STD, "PMERR_INV_SETID",
        0x20CB, MB_STD, "PMERR_INV_SETID_TYPE",
        0x20CC, MB_STD, "PMERR_INV_SET_VIEWPORT_OPTION",
        0x20CD, MB_STD, "PMERR_INV_SHARPNESS_PARM",
        0x20CE, MB_STD, "PMERR_INV_SOURCE_OFFSET",
        0x20CF, MB_STD, "PMERR_INV_STOP_DRAW_VALUE",
        0x20D0, MB_STD, "PMERR_INV_TRANSFORM_TYPE",
        0x20D1, MB_STD, "PMERR_INV_USAGE_PARM",
        0x20D2, MB_STD, "PMERR_INV_VIEWING_LIMITS",
        0x20D3, MB_STD, "PMERR_JFILE_BUSY",
        0x20D4, MB_STD, "PMERR_JNL_FUNC_DATA_TOO_LONG",
        0x20D5, MB_STD, "PMERR_KERNING_NOT_SUPPORTED",
        0x20D6, MB_STD, "PMERR_LABEL_NOT_FOUND",
        0x20D7, MB_STD, "PMERR_MATRIX_OVERFLOW",
        0x20D8, MB_STD, "PMERR_METAFILE_INTERNAL_ERROR",
        0x20D9, MB_STD, "PMERR_METAFILE_IN_USE",
        0x20DA, MB_STD, "PMERR_METAFILE_LIMIT_EXCEEDED",
        0x20DB, MB_STD, "PMERR_NAME_STACK_FULL",
        0x20DC, MB_STD, "PMERR_NOT_CREATED_BY_DEVOPENDC",
        0x20DD, MB_STD, "PMERR_NOT_IN_AREA",
        0x20DE, MB_STD, "PMERR_NOT_IN_DRAW_MODE",
        0x20DF, MB_STD, "PMERR_NOT_IN_ELEMENT",
        0x20E0, MB_STD, "PMERR_NOT_IN_IMAGE",
        0x20E1, MB_STD, "PMERR_NOT_IN_PATH",
        0x20E2, MB_STD, "PMERR_NOT_IN_RETAIN_MODE",
        0x20E3, MB_STD, "PMERR_NOT_IN_SEG",
        0x20E4, MB_STD, "PMERR_NO_BITMAP_SELECTED",
        0x20E5, MB_STD, "PMERR_NO_CURRENT_ELEMENT",
        0x20E6, MB_STD, "PMERR_NO_CURRENT_SEG",
        0x20E7, MB_STD, "PMERR_NO_METAFILE_RECORD_HANDLE",
        0x20E8, MB_STD, "PMERR_ORDER_TOO_BIG",
        0x20E9, MB_STD, "PMERR_OTHER_SET_ID_REFS",
        0x20EA, MB_STD, "PMERR_OVERRAN_SEG",
        0x20EB, MB_STD, "PMERR_OWN_SET_ID_REFS",
        0x20EC, MB_STD, "PMERR_PATH_INCOMPLETE",
        0x20ED, MB_STD, "PMERR_PATH_LIMIT_EXCEEDED",
        0x20EE, MB_STD, "PMERR_PATH_UNKNOWN",
        0x20EF, MB_STD, "PMERR_PEL_IS_CLIPPED",
        0x20F0, MB_STD, "PMERR_PEL_NOT_AVAILABLE",
        0x20F1, MB_STD, "PMERR_PRIMITIVE_STACK_EMPTY",
        0x20F2, MB_STD, "PMERR_PROLOG_ERROR",
        0x20F3, MB_STD, "PMERR_PROLOG_SEG_ATTR_NOT_SET",
        0x20F4, MB_STD, "PMERR_PS_BUSY",
        0x20F5, MB_STD, "PMERR_PS_IS_ASSOCIATED",
        0x20F6, MB_STD, "PMERR_RAM_JNL_FILE_TOO_SMALL",
        0x20F7, MB_STD, "PMERR_REALIZE_NOT_SUPPORTED",
        0x20F8, MB_STD, "PMERR_REGION_IS_CLIP_REGION",
        0x20F9, MB_STD, "PMERR_RESOURCE_DEPLETION",
        0x20FA, MB_STD, "PMERR_SEG_AND_REFSEG_ARE_SAME",
        0x20FB, MB_STD, "PMERR_SEG_CALL_RECURSIVE",
        0x20FC, MB_STD, "PMERR_SEG_CALL_STACK_EMPTY",
        0x20FD, MB_STD, "PMERR_SEG_CALL_STACK_FULL",
        0x20FE, MB_STD, "PMERR_SEG_IS_CURRENT",
        0x20FF, MB_STD, "PMERR_SEG_NOT_CHAINED",
        0x2100, MB_STD, "PMERR_SEG_NOT_FOUND",
        0x2101, MB_STD, "PMERR_SEG_STORE_LIMIT_EXCEEDED",
        0x2102, MB_STD, "PMERR_SETID_IN_USE",
        0x2103, MB_STD, "PMERR_SETID_NOT_FOUND",
        0x2104, MB_STD, "PMERR_STARTDOC_NOT_ISSUED",
        0x2105, MB_STD, "PMERR_STOP_DRAW_OCCURRED",
        0x2106, MB_STD, "PMERR_TOO_MANY_METAFILES_IN_USE",
        0x2107, MB_STD, "PMERR_TRUNCATED_ORDER",
        0x2108, MB_STD, "PMERR_UNCHAINED_SEG_ZERO_INV",
        0x2109, MB_STD, "PMERR_UNSUPPORTED_ATTR",
        0x210A, MB_STD, "PMERR_UNSUPPORTED_ATTR_VALUE",

        0x8000, MB_STD, "ERROR_SWAPPER_NOT_ACTIVE",
        0x8001, MB_STD, "ERROR_INVALID_SWAPID",
        0x8002, MB_STD, "ERROR_IOERR_SWAP_FILE",
        0x8003, MB_STD, "ERROR_SWAP_TABLE_FULL",
        0x8004, MB_STD, "ERROR_SWAP_FILE_FULL",
        0x8005, MB_STD, "ERROR_CANT_INIT_SWAPPER",
        0x8006, MB_STD, "ERROR_SWAPPER_ALREADY_INIT",
        0x8007, MB_STD, "ERROR_PMM_INSUFFICIENT_MEMORY",
        0x8008, MB_STD, "ERROR_PMM_INVALID_FLAGS",
        0x8009, MB_STD, "ERROR_PMM_INVALID_ADDRESS",
        0x800a, MB_STD, "ERROR_PMM_LOCK_FAILED",
        0x800b, MB_STD, "ERROR_PMM_UNLOCK_FAILED",
        0x800c, MB_STD, "ERROR_PMM_MOVE_INCOMPLETE",
        0x800d, MB_STD, "ERROR_UCOM_DRIVE_RENAMED",
        0x800e, MB_STD, "ERROR_UCOM_FILENAME_TRUNCATED",
        0x800f, MB_STD, "ERROR_UCOM_BUFFER_LENGTH",
        0x8010, MB_STD, "ERROR_MON_CHAIN_HANDLE",
        0x8011, MB_STD, "ERROR_MON_NOT_REGISTERED",
        0x8012, MB_STD, "ERROR_SMG_ALREADY_TOP",
        0x8013, MB_STD, "ERROR_PMM_ARENA_MODIFIED",
        0x8014, MB_STD, "ERROR_SMG_PRINTER_OPEN",
        0x8015, MB_STD, "ERROR_PMM_SET_FLAGS_FAILED",
        0x8016, MB_STD, "ERROR_INVALID_DOS_DD",

        0xfe02, MB_STD, "ERROR_CPSIO_CODE_PAGE_INVALID",
        0xfe03, MB_STD, "ERROR_CPSIO_NO_SPOOLER",
        0xfe04, MB_STD, "ERROR_CPSIO_FONT_ID_INVALID",

        0xfe09, MB_STD, "ERROR_CPSIO_INTERNAL_ERROR",
        0xfe0a, MB_STD, "ERROR_CPSIO_INVALID_PTR_NAME",

        0xfe0d, MB_STD, "ERROR_CPSIO_NOT_ACTIVE",
        0xfe0f, MB_STD, "ERROR_CPSIO_PID_FULL",
        0xfe10, MB_STD, "ERROR_CPSIO_PID_NOT_FOUND",
        0xfe13, MB_STD, "ERROR_CPSIO_READ_CTL_SEQ",
        0xfe15, MB_STD, "ERROR_CPSIO_READ_FNT_DEF",
        0xfe17, MB_STD, "ERROR_CPSIO_WRITE_ERROR",
        0xfe18, MB_STD, "ERROR_CPSIO_WRITE_FULL_ERROR",
        0xfe19, MB_STD, "ERROR_CPSIO_WRITE_HANDLE_BAD",
        0xfe32, MB_STD, "ERROR_CPSIO_SWIT_LOAD",
        0xfe35, MB_STD, "ERROR_CPSIO_INV_COMMAND",
        0xfe36, MB_STD, "ERROR_CPSIO_NO_FONT_SWIT",
    };

    USHORT errorCnt = sizeof(errorMsg) / sizeof(ERRORMSG);

    CHAR szUnkSysError[] = "Unknown system error %u (%#04.4x)";
    CHAR szUnkAppError[] = "Unknown application error %u (%#04.4x)";
